package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.UserComment;


/**
*  service接口类
*/
public interface UserCommentService{

    List<UserComment> getUserCommentList(UserComment record);

    List<UserComment> getUserCommentByPage(Page page, UserComment record);

    UserComment getUserCommentById(String id);

    UserComment getUserComment(UserComment record);

    boolean createUserComment(UserComment record);

    boolean deleteUserComment(UserComment record);

    boolean updateUserComment(UserComment record);
}

